petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexComputeGradientClementInterpolant

This function computes the L2 projection of the cellwise gradient of a function u onto P1, and stores it in a Vec.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeGradientClementInterpolant(DM dm, Vec locX, Vec locC)

Collective on dm

### Input Parameters

| dm | - The DM
| LocX | - The coefficient vector u_h

### Output Parameter

locC -A Vec which holds the Clement interpolant of the gradient

### Notes

Add citation to (Clement, 1975) and definition of the interpolant \nabla u_h(v_i) = \sum_{T_i \in support(v_i)} |T_i| \nabla u_h(T_i) / \sum_{T_i \in support(v_i)} |T_i| where |T_i| is the cell volume

### See Also

DMProjectFunction(), DMComputeL2Diff(), DMPlexComputeL2FieldDiff(), DMComputeL2GradientDiff()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages